#
# spec file for package apache2-mod_overload (Version 0.2.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_overload
BuildRequires: apache2-devel
%define modname mod_overload
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	0.2.2
Release:	1.10
License:	GPLv2
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	checks load averarge
Url:		https://sourceforge.net/projects/modoverload/
Source0:	%{modname}-%{version}.tar.bz2
Source1:	mod_overload.conf
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
mod_overload is an Apache module that checks the load average, and when it is higher then a defined value, stops the current request.

%debug_package
%prep
%setup -n %{modname}-%{version}

%build
%{apxs} -a -n %{modname}.so -c %{modname}.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
cp %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/%{modname}.conf

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING AUTHORS
%{apache_libexecdir}/*.so
%{apache_sysconfdir}/conf.d/%{modname}.conf

%changelog
* Mon Mar 08 2010 Carsten Schoene <cs@linux-administrator.com> - 0.2.2-1
- update to release 0.2.2

* Mon Nov 17 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package (0.2)
